pvecm: re-add "multiple cluster in same net" section
[pve-docs.git] / pve-package-repos.adoc
1 [[sysadmin_package_repositories]]
2 Package Repositories
3 --------------------
4 ifdef::wiki[]
5 :pve-toplevel:
6 endif::wiki[]
7
8 All Debian based systems use
9 http://en.wikipedia.org/wiki/Advanced_Packaging_Tool[APT] as package
10 management tool. The list of repositories is defined in
11 `/etc/apt/sources.list` and `.list` files found inside
12 `/etc/apt/sources.d/`. Updates can be installed directly using
13 `apt-get`, or via the GUI.
14
15 Apt `sources.list` files list one package repository per line, with
16 the most preferred source listed first. Empty lines are ignored, and a
17 `#` character anywhere on a line marks the remainder of that line as a
18 comment. The information available from the configured sources is
19 acquired by `apt-get update`.
20
21 .File `/etc/apt/sources.list`
22 ----
23 deb http://ftp.debian.org/debian buster main contrib
24 deb http://ftp.debian.org/debian buster-updates main contrib
25
26 # security updates
27 deb http://security.debian.org buster/updates main contrib
28 ----
29
30 In addition, {pve} provides three different package repositories.
31
32 {pve} Enterprise Repository
33 ~~~~~~~~~~~~~~~~~~~~~~~~~~~
34
35 This is the default, stable and recommended repository, available for
36 all {pve} subscription users. It contains the most stable packages,
37 and is suitable for production use. The `pve-enterprise` repository is
38 enabled by default:
39
40 .File `/etc/apt/sources.list.d/pve-enterprise.list`
41 ----
42 deb https://enterprise.proxmox.com/debian/pve buster pve-enterprise
43 ----
44
45 As soon as updates are available, the `root@pam` user is notified via
46 email about the available new packages. On the GUI, the change-log of
47 each package can be viewed (if available), showing all details of the
48 update. So you will never miss important security fixes.
49
50 Please note that you need a valid subscription key to access this
51 repository. We offer different support levels, and you can find further
52 details at https://www.proxmox.com/en/proxmox-ve/pricing.
53
54 NOTE: You can disable this repository by commenting out the above line
55 using a `#` (at the start of the line). This prevents error messages
56 if you do not have a subscription key. Please configure the
57 `pve-no-subscription` repository in that case.
58
59
60 {pve} No-Subscription Repository
61 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
62
63 As the name suggests, you do not need a subscription key to access
64 this repository. It can be used for testing and non-production
65 use. Its not recommended to run on production servers, as these
66 packages are not always heavily tested and validated.
67
68 We recommend to configure this repository in `/etc/apt/sources.list`.
69
70 .File `/etc/apt/sources.list`
71 ----
72 deb http://ftp.debian.org/debian buster main contrib
73 deb http://ftp.debian.org/debian buster-updates main contrib
74
75 # PVE pve-no-subscription repository provided by proxmox.com,
76 # NOT recommended for production use
77 deb http://download.proxmox.com/debian/pve buster pve-no-subscription
78
79 # security updates
80 deb http://security.debian.org buster/updates main contrib
81 ----
82
83
84 {pve} Test Repository
85 ~~~~~~~~~~~~~~~~~~~~~~
86
87 Finally, there is a repository called `pvetest`. This one contains the
88 latest packages and is heavily used by developers to test new
89 features. As usual, you can configure this using
90 `/etc/apt/sources.list` by adding the following line:
91
92 .sources.list entry for `pvetest`
93 ----
94 deb http://download.proxmox.com/debian/pve buster pvetest
95 ----
96
97 WARNING: the `pvetest` repository should (as the name implies) only be used
98 for testing new features or bug fixes.
99
100 [[sysadmin_package_repositories_ceph]]
101 {pve} Ceph Repository
102 ~~~~~~~~~~~~~~~~~~~~~
103
104 This is {pve}'s main Ceph repository and holds the Ceph packages for
105 production use. You can also use this repository to update only the Ceph
106 client.
107
108 .File `/etc/apt/sources.list.d/ceph.list`
109 ----
110 deb http://download.proxmox.com/debian/ceph-nautilus buster main
111 ----
112
113
114 {pve} Ceph Testing Repository
115 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
116
117 This Ceph repository contains the Ceph packages before they are moved into the
118 main repository and is used to test new Ceph release on {pve}.
119
120 .File `/etc/apt/sources.list.d/ceph.list`
121 ----
122 deb http://download.proxmox.com/debian/ceph-nautilus buster test
123 ----
124
125 {pve} Ceph Luminous Repository For Upgrade
126 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
127
128 This is a build of tje Ceph Luminous release for {pve} 6.0, this can be used to
129 upgrade a {pve} cluster with Ceph Luminous deployed first to our 6.0 release,
130 based on Debian Buster, and only afterwards upgrade the Ceph on it's own.
131
132 .File `/etc/apt/sources.list.d/ceph.list`
133 ----
134 deb http://download.proxmox.com/debian/ceph-luminous buster main
135 ----
136
137 SecureApt
138 ~~~~~~~~~
139
140 We use GnuPG to sign the `Release` files inside those repositories,
141 and APT uses that signatures to verify that all packages are from a
142 trusted source.
143
144 The key used for verification is already installed if you install from
145 our installation CD. If you install by other means, you can manually
146 download the key with:
147
148  # wget http://download.proxmox.com/debian/proxmox-ve-release-6.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
149
150 Please verify the checksum afterwards:
151
152 ----
153 # sha512sum /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
154 acca6f416917e8e11490a08a1e2842d500b3a5d9f322c6319db0927b2901c3eae23cfb5cd5df6facf2b57399d3cfa52ad7769ebdd75d9b204549ca147da52626 /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
155 ----
156
157 or
158
159 ----
160 # md5sum /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
161 f3f6c5a3a67baf38ad178e5ff1ee270c /etc/apt/trusted.gpg.d/proxmox-ve-release-6.x.gpg
162 ----
163
164
165 ifdef::wiki[]
166
167 // include note about older releases, but only for wiki
168
169
170 {pve} 5.x Repositories
171 ~~~~~~~~~~~~~~~~~~~~~~
172
173 {pve} 5.x is based on Debian 9.x (``stretch''). Please note that this release
174 is out of date, and you should update your installation.
175 Nevertheless, we still provide access to those repositories at our download
176 servers.
177
178 [width="100%",cols="<d,3m",options="header"]
179 |===========================================================
180 |Repository                 | sources.list entry
181 |{pve} 5.x Enterprise       |
182 deb https://enterprise.proxmox.com/debian stretch pve-enterprise
183 |{pve} 5.x No-Subscription  |
184 deb http://download.proxmox.com/debian stretch pve-no-subscription
185 |{pve} 5.x Test             |
186 deb http://download.proxmox.com/debian stretch pvetest
187 |===========================================================
188
189
190 {pve} 4.x Repositories
191 ~~~~~~~~~~~~~~~~~~~~~~
192
193 {pve} 4.x is based on Debian 8.x (``jessie''). Please note that this
194 release is out of date, and you should update your
195 installation. Nevertheless, we still provide access to those
196 repositories at our download servers.
197
198 [width="100%",cols="<d,3m",options="header"]
199 |===========================================================
200 |Repository                 | sources.list entry
201 |{pve} 4.x Enterprise       |
202 deb https://enterprise.proxmox.com/debian jessie pve-enterprise
203 |{pve} 4.x No-Subscription  |
204 deb http://download.proxmox.com/debian jessie pve-no-subscription
205 |{pve} 4.x Test             |
206 deb http://download.proxmox.com/debian jessie pvetest
207 |===========================================================
208
209
210 {pve} 3.x Repositories
211 ~~~~~~~~~~~~~~~~~~~~~~
212
213 {pve} 3.x is based on Debian 7.x (``wheezy''). Please note that this
214 release is out of date, and you should update your
215 installation. Nevertheless, we still provide access to those
216 repositories at our download servers.
217
218 [width="100%",cols="<d,3m",options="header"]
219 |===========================================================
220 |Repository                 | sources.list entry
221 |{pve} 3.x Enterprise       |
222 deb https://enterprise.proxmox.com/debian wheezy pve-enterprise
223 |{pve} 3.x No-Subscription  |
224 deb http://download.proxmox.com/debian wheezy pve-no-subscription
225 |{pve} 3.x Test             |
226 deb http://download.proxmox.com/debian wheezy pvetest
227 |===========================================================
228
229
230 Outdated: `stable` Repository `pve`
231 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
232
233 This repository is a leftover to easy the update to 3.1. It will not
234 get any updates after the release of 3.1. Therefore you need to remove
235 this repository after you upgraded to 3.1.
236
237 .File `/etc/apt/sources.list`
238 ----
239 deb http://ftp.debian.org/debian wheezy main contrib
240
241 # PVE packages provided by proxmox.com - NO UPDATES after the initial release of 3.1
242 # deb http://download.proxmox.com/debian wheezy pve
243
244 # security updates
245 deb http://security.debian.org/ wheezy/updates main contrib
246 ----
247
248
249 Outdated: {pve} 2.x Repositories
250 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
251
252 {pve} 2.x is based on Debian 6.0 (``squeeze'') and outdated. Please
253 upgrade to latest version as soon as possible. In order to use the
254 stable `pve` 2.x repository, check your sources.list:
255
256 .File `/etc/apt/sources.list`
257 ----
258 deb http://ftp.debian.org/debian squeeze main contrib
259
260 # PVE packages provided by proxmox.com
261 deb http://download.proxmox.com/debian squeeze pve
262
263 # security updates
264 deb http://security.debian.org/ squeeze/updates main contrib
265 ----
266
267
268 Outdated: {pve} VE 1.x Repositories
269 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
270
271 {pve} 1.x is based on Debian 5.0 (``lenny'') and very outdated. Please
272 upgrade to latest version as soon as possible.
273
274
275 endif::wiki[]
276 ifdef::manvolnum[]
277 include::pve-copyright.adoc[]
278 endif::manvolnum[]